using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadGrid1.ItemCreated += new GridItemEventHandler(RadGrid1_ItemCreated);
    }

    void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridFilteringItem)
        {
            GridFilteringItem filterItem = (GridFilteringItem)e.Item;
            foreach (GridColumn col in RadGrid1.MasterTableView.Columns)
            {
                (filterItem["ProductID"].Controls[0] as TextBox).Attributes.Add("onkeyup", "CharacterCheck(this, event)");
                (filterItem["ProductName"].Controls[0] as TextBox).Attributes.Add("onkeyup", "CharacterCheck(this, event)");
            }
        }

    }

}
